<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII:  File sorgente eventi.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li><a href="annotated.html"><span>Classi</span></a></li>
      <li class="current"><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>Elenco&#160;dei&#160;file</span></a></li>
      <li><a href="globals.html"><span>Elementi&#160;dei&#160;file</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">eventi.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="eventi_8h.html">Vai alla documentazione di questo file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="grafica_8h.html">grafica.h</a>&quot;</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &lt;allegro5/allegro.h&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef TASTI</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#define TASTI</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="eventi_8h.html#a0c19519a4be0f7c11264ddd21b3043bf">   10</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a0c19519a4be0f7c11264ddd21b3043bf">mov_sx</a>    = ALLEGRO_KEY_A;        </div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="eventi_8h.html#a4368941dd5d5af5c217356071d1c45e8">   11</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a4368941dd5d5af5c217356071d1c45e8">mov_dx</a>    = ALLEGRO_KEY_D;        </div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="eventi_8h.html#a100d22a03acd7c0680af684c9858cec0">   12</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a100d22a03acd7c0680af684c9858cec0">salto</a>     = ALLEGRO_KEY_SPACE;    </div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="eventi_8h.html#a59d660c0b3c1d631c585c08d87548caa">   13</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a59d660c0b3c1d631c585c08d87548caa">att_melee</a> = ALLEGRO_KEY_J;        </div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="eventi_8h.html#a8c6ba2707b3dcc2c5afc25d553828263">   14</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a8c6ba2707b3dcc2c5afc25d553828263">att_dist</a>  = ALLEGRO_KEY_K;        </div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="eventi_8h.html#a916d735f9a9a7500a0ef12e782203903">   15</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a916d735f9a9a7500a0ef12e782203903">esc</a>       = ALLEGRO_KEY_ESCAPE;   </div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="eventi_8h.html#a565ba9c9472c8826640e0be949d2ed3a">   16</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a565ba9c9472c8826640e0be949d2ed3a">invio</a>     = ALLEGRO_KEY_ENTER;    </div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="eventi_8h.html#a13a4331cd19817bfa7c66d2fdb5c3eee">   17</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a13a4331cd19817bfa7c66d2fdb5c3eee">fr_su</a>     = ALLEGRO_KEY_UP;       </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="eventi_8h.html#a0cb3c6799d40c81a45f28a365bc43511">   18</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a0cb3c6799d40c81a45f28a365bc43511">fr_giu</a>    = ALLEGRO_KEY_DOWN;     </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="eventi_8h.html#a4ecae9c9fdc3561d524f28c75000ceaf">   19</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a4ecae9c9fdc3561d524f28c75000ceaf">fr_sx</a>     = ALLEGRO_KEY_LEFT;     </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="eventi_8h.html#a2826ce4ff76357c642e64556a03e8fc8">   20</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="eventi_8h.html#a2826ce4ff76357c642e64556a03e8fc8">fr_dx</a>     = ALLEGRO_KEY_RIGHT;    </div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="structdati__eventi.html">   26</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structdati__eventi.html">dati_eventi</a></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;{</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="structdati__eventi.html#aea0a41e6fe1348fba456d5a8222effaa">   28</a></span>&#160;    ALLEGRO_EVENT_QUEUE *<a class="code" href="structdati__eventi.html#aea0a41e6fe1348fba456d5a8222effaa">coda_eventi</a>;   </div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="structdati__eventi.html#a6ef18830de55ab26bbf42f7897f694b5">   29</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#a6ef18830de55ab26bbf42f7897f694b5">timer_fps</a>;           </div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="structdati__eventi.html#a30782f46f0acce84064e84c5654952e6">   30</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#a30782f46f0acce84064e84c5654952e6">timer_anim</a>;          </div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="structdati__eventi.html#a7bcddb587acdb98de2ff67ad2b5f8bb4">   31</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#a7bcddb587acdb98de2ff67ad2b5f8bb4">timer_mov_pers</a>;      </div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="structdati__eventi.html#a7c5ecc7bb0c6ec0121b75e7d40ef89ee">   32</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#a7c5ecc7bb0c6ec0121b75e7d40ef89ee">timer_mov_ogg</a>;       </div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="structdati__eventi.html#af5bccbde398bb6b4d3e9cb74ae436566">   33</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#af5bccbde398bb6b4d3e9cb74ae436566">timer_salto</a>;         </div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="structdati__eventi.html#a146cd3670533b3411bf0bfdbc17b10f5">   34</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#a146cd3670533b3411bf0bfdbc17b10f5">timer_agg</a>;           </div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="structdati__eventi.html#abef7e931cafa31ac60712629e08a621f">   35</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#abef7e931cafa31ac60712629e08a621f">timer_gen_nemici</a>;    </div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="structdati__eventi.html#a84fb137c7ccafae4972718bdce9f0b7a">   36</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#a84fb137c7ccafae4972718bdce9f0b7a">timer_gen_armi_pg</a>;   </div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="structdati__eventi.html#a76d7e584e4f1c60f3e97a4eca6f23b52">   37</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#a76d7e584e4f1c60f3e97a4eca6f23b52">timer_gen_armi_png</a>;  </div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="structdati__eventi.html#a84fc494d1dd70221c24f7166c18651af">   38</a></span>&#160;    ALLEGRO_TIMER *<a class="code" href="structdati__eventi.html#a84fc494d1dd70221c24f7166c18651af">timer_ia</a>;            </div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;};</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keywordtype">void</span> <a class="code" href="eventi_8h.html#a4f1891421f203be076bdfbff21674b77">registra_sorgenti_eventi</a>(<a class="code" href="structdati__eventi.html">dati_eventi</a> &amp;eventi, <a class="code" href="structdati__schermo.html">dati_schermo</a> &amp;schermo);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keywordtype">void</span> <a class="code" href="eventi_8h.html#ab1579393ee9537bb6f3e3612140edd3d">in_pausa</a>(<a class="code" href="structdati__eventi.html">dati_eventi</a> &amp;eventi, <span class="keywordtype">bool</span> &amp;pausa);</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="keywordtype">void</span> <a class="code" href="eventi_8h.html#a4c6d2c80c77a92cc11eca6c9df5e5b4a">fuori_pausa</a>(<a class="code" href="structdati__eventi.html">dati_eventi</a> &amp;eventi, <span class="keywordtype">bool</span> &amp;pausa);</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keywordtype">void</span> <a class="code" href="eventi_8h.html#a3a029dfc5381e6472e3dc6b9ffcb896a">start_timers</a>(<a class="code" href="structdati__eventi.html">dati_eventi</a> &amp;eventi);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="keywordtype">void</span> <a class="code" href="eventi_8h.html#ac289106bac537f30b16017edb0d3deb8">stop_timers</a>(<a class="code" href="structdati__eventi.html">dati_eventi</a> &amp;eventi);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="eventi_8h.html#a630f3459f8dc0a42ed82cfa35ca9eee7">gestore_tasto_giu</a>(<a class="code" href="structdati__eventi.html">dati_eventi</a> &amp;eventi, ALLEGRO_EVENT *evt, <a class="code" href="structdati__gioco.html">dati_gioco</a> &amp;dati, <span class="keywordtype">bool</span> &amp;pausa);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="keywordtype">void</span> <a class="code" href="eventi_8h.html#a46c5f56c249094cfa083d182c847d8ce">gestore_tasto_su</a>(<a class="code" href="structdati__eventi.html">dati_eventi</a> &amp;eventi, ALLEGRO_EVENT *evt, <a class="code" href="structdati__gioco.html">dati_gioco</a> &amp;dati, <span class="keywordtype">bool</span> &amp;pausa);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<a class="code" href="structdati__eventi.html">dati_eventi</a> <a class="code" href="eventi_8h.html#af21820b93ff9e195d5353415d680367b">inizializza_dati_eventi</a>(<span class="keywordtype">int</span> fps, <span class="keywordtype">int</span> an_fps, <span class="keywordtype">int</span> movpersps, <span class="keywordtype">int</span> aggps, <span class="keywordtype">int</span> movoggps,</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;                                        <span class="keywordtype">int</span> vel_salto, <span class="keywordtype">int</span> gennempm, <span class="keywordtype">int</span> genarmpgpm, <span class="keywordtype">int</span> genarmpngpm, </div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;                                        <span class="keywordtype">int</span> actps);</div><div class="ttc" id="structdati__eventi_html_a6ef18830de55ab26bbf42f7897f694b5"><div class="ttname"><a href="structdati__eventi.html#a6ef18830de55ab26bbf42f7897f694b5">dati_eventi::timer_fps</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_fps</div><div class="ttdoc">Timer che genera un evento di aggiornamento dello schermo. </div><div class="ttdef"><b>Definition:</b> eventi.h:29</div></div>
<div class="ttc" id="structdati__schermo_html"><div class="ttname"><a href="structdati__schermo.html">dati_schermo</a></div><div class="ttdoc">Struttura contenente i dati dello schermo, necessari per l&amp;#39;aggiornamento della schermata. </div><div class="ttdef"><b>Definition:</b> grafica.h:30</div></div>
<div class="ttc" id="structdati__eventi_html_a76d7e584e4f1c60f3e97a4eca6f23b52"><div class="ttname"><a href="structdati__eventi.html#a76d7e584e4f1c60f3e97a4eca6f23b52">dati_eventi::timer_gen_armi_png</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_gen_armi_png</div><div class="ttdoc">Timer che genera un evento di incremento (di una unità) di personaggio::num_oggetti nei nemici...</div><div class="ttdef"><b>Definition:</b> eventi.h:37</div></div>
<div class="ttc" id="eventi_8h_html_a0cb3c6799d40c81a45f28a365bc43511"><div class="ttname"><a href="eventi_8h.html#a0cb3c6799d40c81a45f28a365bc43511">fr_giu</a></div><div class="ttdeci">const int fr_giu</div><div class="ttdoc">(Non implementato) </div><div class="ttdef"><b>Definition:</b> eventi.h:18</div></div>
<div class="ttc" id="grafica_8h_html"><div class="ttname"><a href="grafica_8h.html">grafica.h</a></div></div>
<div class="ttc" id="eventi_8h_html_ac289106bac537f30b16017edb0d3deb8"><div class="ttname"><a href="eventi_8h.html#ac289106bac537f30b16017edb0d3deb8">stop_timers</a></div><div class="ttdeci">void stop_timers(dati_eventi &amp;eventi)</div><div class="ttdoc">Funzione che ferma tutti i timer di gioco. </div><div class="ttdef"><b>Definition:</b> eventi.cc:37</div></div>
<div class="ttc" id="eventi_8h_html_a13a4331cd19817bfa7c66d2fdb5c3eee"><div class="ttname"><a href="eventi_8h.html#a13a4331cd19817bfa7c66d2fdb5c3eee">fr_su</a></div><div class="ttdeci">const int fr_su</div><div class="ttdoc">(Non implementato) </div><div class="ttdef"><b>Definition:</b> eventi.h:17</div></div>
<div class="ttc" id="structdati__eventi_html_af5bccbde398bb6b4d3e9cb74ae436566"><div class="ttname"><a href="structdati__eventi.html#af5bccbde398bb6b4d3e9cb74ae436566">dati_eventi::timer_salto</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_salto</div><div class="ttdoc">Timer che genera un evento di movimento per salto. </div><div class="ttdef"><b>Definition:</b> eventi.h:33</div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="structdati__eventi_html"><div class="ttname"><a href="structdati__eventi.html">dati_eventi</a></div><div class="ttdoc">Struttura che gestisce le informazioni relative agli eventi che vengono generati dagli oggetti ALLEGR...</div><div class="ttdef"><b>Definition:</b> eventi.h:26</div></div>
<div class="ttc" id="structdati__eventi_html_a7bcddb587acdb98de2ff67ad2b5f8bb4"><div class="ttname"><a href="structdati__eventi.html#a7bcddb587acdb98de2ff67ad2b5f8bb4">dati_eventi::timer_mov_pers</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_mov_pers</div><div class="ttdoc">Timer che genera un evento di movimento dei personaggi. </div><div class="ttdef"><b>Definition:</b> eventi.h:31</div></div>
<div class="ttc" id="structdati__eventi_html_a84fc494d1dd70221c24f7166c18651af"><div class="ttname"><a href="structdati__eventi.html#a84fc494d1dd70221c24f7166c18651af">dati_eventi::timer_ia</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_ia</div><div class="ttdoc">Timer che genera un evento di azione ia. </div><div class="ttdef"><b>Definition:</b> eventi.h:38</div></div>
<div class="ttc" id="eventi_8h_html_af21820b93ff9e195d5353415d680367b"><div class="ttname"><a href="eventi_8h.html#af21820b93ff9e195d5353415d680367b">inizializza_dati_eventi</a></div><div class="ttdeci">dati_eventi inizializza_dati_eventi(int fps, int an_fps, int movpersps, int aggps, int movoggps, int vel_salto, int gennempm, int genarmpgpm, int genarmpngpm, int actps)</div><div class="ttdoc">Funzione che inizializza un nuovo oggetto di tipo dati_eventi, contestualmente ai parametri passati i...</div><div class="ttdef"><b>Definition:</b> eventi.cc:168</div></div>
<div class="ttc" id="structdati__eventi_html_abef7e931cafa31ac60712629e08a621f"><div class="ttname"><a href="structdati__eventi.html#abef7e931cafa31ac60712629e08a621f">dati_eventi::timer_gen_nemici</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_gen_nemici</div><div class="ttdoc">Timer che genera un evento di generazione di un nuovo nemico. </div><div class="ttdef"><b>Definition:</b> eventi.h:35</div></div>
<div class="ttc" id="eventi_8h_html_a4f1891421f203be076bdfbff21674b77"><div class="ttname"><a href="eventi_8h.html#a4f1891421f203be076bdfbff21674b77">registra_sorgenti_eventi</a></div><div class="ttdeci">void registra_sorgenti_eventi(dati_eventi &amp;eventi, dati_schermo &amp;schermo)</div><div class="ttdoc">Registra le sorgenti degli eventi (timers e schermo) all&amp;#39;interno della coda di eventi ::eventi...</div><div class="ttdef"><b>Definition:</b> eventi.cc:7</div></div>
<div class="ttc" id="eventi_8h_html_a3a029dfc5381e6472e3dc6b9ffcb896a"><div class="ttname"><a href="eventi_8h.html#a3a029dfc5381e6472e3dc6b9ffcb896a">start_timers</a></div><div class="ttdeci">void start_timers(dati_eventi &amp;eventi)</div><div class="ttdoc">Funzione che fa partire tutti i timer di inizio gioco. </div><div class="ttdef"><b>Definition:</b> eventi.cc:23</div></div>
<div class="ttc" id="structdati__eventi_html_a7c5ecc7bb0c6ec0121b75e7d40ef89ee"><div class="ttname"><a href="structdati__eventi.html#a7c5ecc7bb0c6ec0121b75e7d40ef89ee">dati_eventi::timer_mov_ogg</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_mov_ogg</div><div class="ttdoc">Timer che genera un evento di movimento degli oggetti. </div><div class="ttdef"><b>Definition:</b> eventi.h:32</div></div>
<div class="ttc" id="eventi_8h_html_a565ba9c9472c8826640e0be949d2ed3a"><div class="ttname"><a href="eventi_8h.html#a565ba9c9472c8826640e0be949d2ed3a">invio</a></div><div class="ttdeci">const int invio</div><div class="ttdoc">Tasto di pausa. </div><div class="ttdef"><b>Definition:</b> eventi.h:16</div></div>
<div class="ttc" id="eventi_8h_html_a59d660c0b3c1d631c585c08d87548caa"><div class="ttname"><a href="eventi_8h.html#a59d660c0b3c1d631c585c08d87548caa">att_melee</a></div><div class="ttdeci">const int att_melee</div><div class="ttdoc">Tasto per attacco a breve distanza. </div><div class="ttdef"><b>Definition:</b> eventi.h:13</div></div>
<div class="ttc" id="structdati__eventi_html_aea0a41e6fe1348fba456d5a8222effaa"><div class="ttname"><a href="structdati__eventi.html#aea0a41e6fe1348fba456d5a8222effaa">dati_eventi::coda_eventi</a></div><div class="ttdeci">ALLEGRO_EVENT_QUEUE * coda_eventi</div><div class="ttdoc">Oggetto delle librerie Allegro che memorizza la coda dove vengono inseriti gli eventi (FIFO) ...</div><div class="ttdef"><b>Definition:</b> eventi.h:28</div></div>
<div class="ttc" id="structdati__gioco_html"><div class="ttname"><a href="structdati__gioco.html">dati_gioco</a></div><div class="ttdoc">Struttura dati che contiene diverse liste, a loro volta contenenti tutti i dati necessari all&amp;#39;infrast...</div><div class="ttdef"><b>Definition:</b> dati.h:131</div></div>
<div class="ttc" id="eventi_8h_html_a2826ce4ff76357c642e64556a03e8fc8"><div class="ttname"><a href="eventi_8h.html#a2826ce4ff76357c642e64556a03e8fc8">fr_dx</a></div><div class="ttdeci">const int fr_dx</div><div class="ttdoc">(Non implementato) </div><div class="ttdef"><b>Definition:</b> eventi.h:20</div></div>
<div class="ttc" id="structdati__eventi_html_a30782f46f0acce84064e84c5654952e6"><div class="ttname"><a href="structdati__eventi.html#a30782f46f0acce84064e84c5654952e6">dati_eventi::timer_anim</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_anim</div><div class="ttdoc">Timer che genera un evento di animazione (Non implementato) </div><div class="ttdef"><b>Definition:</b> eventi.h:30</div></div>
<div class="ttc" id="eventi_8h_html_ab1579393ee9537bb6f3e3612140edd3d"><div class="ttname"><a href="eventi_8h.html#ab1579393ee9537bb6f3e3612140edd3d">in_pausa</a></div><div class="ttdeci">void in_pausa(dati_eventi &amp;eventi, bool &amp;pausa)</div><div class="ttdoc">Funzione che ferma tutti i timer, di fatto mettendo in pausa il gioco. </div><div class="ttdef"><b>Definition:</b> eventi.cc:51</div></div>
<div class="ttc" id="structdati__eventi_html_a146cd3670533b3411bf0bfdbc17b10f5"><div class="ttname"><a href="structdati__eventi.html#a146cd3670533b3411bf0bfdbc17b10f5">dati_eventi::timer_agg</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_agg</div><div class="ttdoc">Timer che genera un evento di aggiornamento accelerazioni personaggi. </div><div class="ttdef"><b>Definition:</b> eventi.h:34</div></div>
<div class="ttc" id="eventi_8h_html_a4ecae9c9fdc3561d524f28c75000ceaf"><div class="ttname"><a href="eventi_8h.html#a4ecae9c9fdc3561d524f28c75000ceaf">fr_sx</a></div><div class="ttdeci">const int fr_sx</div><div class="ttdoc">(Non implementato) </div><div class="ttdef"><b>Definition:</b> eventi.h:19</div></div>
<div class="ttc" id="eventi_8h_html_a0c19519a4be0f7c11264ddd21b3043bf"><div class="ttname"><a href="eventi_8h.html#a0c19519a4be0f7c11264ddd21b3043bf">mov_sx</a></div><div class="ttdeci">const int mov_sx</div><div class="ttdoc">Tasto di movimento a sinistra. </div><div class="ttdef"><b>Definition:</b> eventi.h:10</div></div>
<div class="ttc" id="eventi_8h_html_a8c6ba2707b3dcc2c5afc25d553828263"><div class="ttname"><a href="eventi_8h.html#a8c6ba2707b3dcc2c5afc25d553828263">att_dist</a></div><div class="ttdeci">const int att_dist</div><div class="ttdoc">Tasto di lancio arma a lunga distanza. </div><div class="ttdef"><b>Definition:</b> eventi.h:14</div></div>
<div class="ttc" id="eventi_8h_html_a916d735f9a9a7500a0ef12e782203903"><div class="ttname"><a href="eventi_8h.html#a916d735f9a9a7500a0ef12e782203903">esc</a></div><div class="ttdeci">const int esc</div><div class="ttdoc">Tasto di terminazione del gioco. </div><div class="ttdef"><b>Definition:</b> eventi.h:15</div></div>
<div class="ttc" id="eventi_8h_html_a46c5f56c249094cfa083d182c847d8ce"><div class="ttname"><a href="eventi_8h.html#a46c5f56c249094cfa083d182c847d8ce">gestore_tasto_su</a></div><div class="ttdeci">void gestore_tasto_su(dati_eventi &amp;eventi, ALLEGRO_EVENT *evt, dati_gioco &amp;dati, bool &amp;pausa)</div><div class="ttdoc">Funzione che gestisce il rilascio di un bottone su tastiera Da chiamare una volta generato l&amp;#39;evento A...</div><div class="ttdef"><b>Definition:</b> eventi.cc:129</div></div>
<div class="ttc" id="eventi_8h_html_a4368941dd5d5af5c217356071d1c45e8"><div class="ttname"><a href="eventi_8h.html#a4368941dd5d5af5c217356071d1c45e8">mov_dx</a></div><div class="ttdeci">const int mov_dx</div><div class="ttdoc">Tasto di movimento a destra. </div><div class="ttdef"><b>Definition:</b> eventi.h:11</div></div>
<div class="ttc" id="eventi_8h_html_a630f3459f8dc0a42ed82cfa35ca9eee7"><div class="ttname"><a href="eventi_8h.html#a630f3459f8dc0a42ed82cfa35ca9eee7">gestore_tasto_giu</a></div><div class="ttdeci">bool gestore_tasto_giu(dati_eventi &amp;eventi, ALLEGRO_EVENT *evt, dati_gioco &amp;dati, bool &amp;pausa)</div><div class="ttdoc">Funzione che gestisce la pressione di un bottone su tastiera Da chiamare una volta generato l&amp;#39;evento ...</div><div class="ttdef"><b>Definition:</b> eventi.cc:76</div></div>
<div class="ttc" id="eventi_8h_html_a4c6d2c80c77a92cc11eca6c9df5e5b4a"><div class="ttname"><a href="eventi_8h.html#a4c6d2c80c77a92cc11eca6c9df5e5b4a">fuori_pausa</a></div><div class="ttdeci">void fuori_pausa(dati_eventi &amp;eventi, bool &amp;pausa)</div><div class="ttdoc">Funzione che fa ripartire i timer da una situazione di pausa, facendo ripartire il gioco...</div><div class="ttdef"><b>Definition:</b> eventi.cc:65</div></div>
<div class="ttc" id="eventi_8h_html_a100d22a03acd7c0680af684c9858cec0"><div class="ttname"><a href="eventi_8h.html#a100d22a03acd7c0680af684c9858cec0">salto</a></div><div class="ttdeci">const int salto</div><div class="ttdoc">Tasto di salto. </div><div class="ttdef"><b>Definition:</b> eventi.h:12</div></div>
<div class="ttc" id="structdati__eventi_html_a84fb137c7ccafae4972718bdce9f0b7a"><div class="ttname"><a href="structdati__eventi.html#a84fb137c7ccafae4972718bdce9f0b7a">dati_eventi::timer_gen_armi_pg</a></div><div class="ttdeci">ALLEGRO_TIMER * timer_gen_armi_pg</div><div class="ttdoc">Timer che genera un evento di incremento (di una unità) di personaggio::num_oggetti nel personaggio p...</div><div class="ttdef"><b>Definition:</b> eventi.h:36</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
